summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-01-05 06:08:15 +0000
committerV3n3RiX <venerix@koprulu.sector>2023-01-05 06:08:15 +0000
commit083bdfbef9bc532b72cf116591025916eebaf676 (patch)
tree04da8a6f58a6ef6f05ebafc0a86b3a27c00ba283 /eclass
parente84469d1a99031578172f7c064945ba5114c5263 (diff)
gentoo auto-resync : 05:01:2023 - 06:08:15
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin37360 -> 37358 bytes
-rw-r--r--eclass/cmake.eclass4
-rw-r--r--eclass/dotnet.eclass4
-rw-r--r--eclass/mono.eclass4
-rw-r--r--eclass/unpacker.eclass8
5 files changed, 11 insertions, 9 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index b6e3be5cd208..fb1bbf6dd828 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/cmake.eclass b/eclass/cmake.eclass
index 094b6d706bc2..2c5620adede5 100644
--- a/eclass/cmake.eclass
+++ b/eclass/cmake.eclass
@@ -1,9 +1,10 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: cmake.eclass
# @MAINTAINER:
# kde@gentoo.org
+# base-system@gentoo.org
# @AUTHOR:
# Tomáš Chvátal <scarabeus@gentoo.org>
# Maciej Mrozowski <reavertm@gentoo.org>
@@ -96,6 +97,7 @@ fi
# By default it uses current working directory (in EAPI-7: ${S}).
# @ECLASS_VARIABLE: CMAKE_VERBOSE
+# @USER_VARIABLE
# @DESCRIPTION:
# Set to OFF to disable verbose messages during compilation
: ${CMAKE_VERBOSE:=ON}
diff --git a/eclass/dotnet.eclass b/eclass/dotnet.eclass
index b92b9c1b4054..1fb288dd1094 100644
--- a/eclass/dotnet.eclass
+++ b/eclass/dotnet.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: dotnet.eclass
@@ -131,7 +131,7 @@ dotnet_multilib_comply() {
then
for exe in "${ED}/usr/bin"/*
do
- if [[ "$(file "${exe}")" == *"shell script text"* ]]
+ if [[ "$(file -S "${exe}")" == *"shell script text"* ]]
then
sed -r -i -e ":/lib(/|$): s:/lib(/|$):/$(get_libdir)\1:" \
"${exe}" || die "Sedding some sense into ${exe} failed"
diff --git a/eclass/mono.eclass b/eclass/mono.eclass
index ddea2d4b9c64..c096acc8c40e 100644
--- a/eclass/mono.eclass
+++ b/eclass/mono.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: mono.eclass
@@ -76,7 +76,7 @@ mono_multilib_comply() {
then
for exe in "${ED}/usr/bin"/*
do
- if [[ "$(file "${exe}")" == *"shell script text"* ]]
+ if [[ "$(file -S "${exe}")" == *"shell script text"* ]]
then
sed -r -i -e ":/lib(/|$): s:/lib(/|$):/$(get_libdir)\1:" \
"${exe}" || die "Sedding some sense into ${exe} failed"
diff --git a/eclass/unpacker.eclass b/eclass/unpacker.eclass
index 5ce681ebaa0d..326b2fa67524 100644
--- a/eclass/unpacker.eclass
+++ b/eclass/unpacker.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: unpacker.eclass
@@ -122,7 +122,7 @@ unpack_pdv() {
local tmpfile="${T}/${FUNCNAME}"
tail -c +$((${tailskip}+1)) ${src} 2>/dev/null | head -c 512 > "${tmpfile}"
- local iscompressed=$(file -b "${tmpfile}")
+ local iscompressed=$(file -S -b "${tmpfile}")
if [[ ${iscompressed:0:8} == "compress" ]] ; then
iscompressed=1
mv "${tmpfile}"{,.Z}
@@ -130,7 +130,7 @@ unpack_pdv() {
else
iscompressed=0
fi
- local istar=$(file -b "${tmpfile}")
+ local istar=$(file -S -b "${tmpfile}")
if [[ ${istar:0:9} == "POSIX tar" ]] ; then
istar=1
else
@@ -244,7 +244,7 @@ unpack_makeself() {
# lets grab the first few bytes of the file to figure out what kind of archive it is
local decomp= filetype suffix
- filetype=$("${exe[@]}" 2>/dev/null | head -c 512 | file -b -) || die
+ filetype=$("${exe[@]}" 2>/dev/null | head -c 512 | file -S -b -) || die
case ${filetype} in
*tar\ archive*)
decomp=cat